searchData={"items":[{"type":"module","title":"Antsy","doc":"Decodes ANSI escape sequences.","ref":"Antsy.html"},{"type":"function","title":"Antsy.decode/1","doc":"Extracts ANSI escape sequences from a string.\n\nReturns a tuple containing a list of decoded data, and a string of any remaining data that could not be completely\ndecoded. When decoding a stream of data (e.g. from TCP or stdin), the caller should keep track of the remainder and\nprepend it to the next chunk of data for further decoding.\n\nEach element in the decoded data list is one of the following:\n\n- string - plain, unescaped text\n- atom - escape sequences with no parameters\n- tuple - escape sequences with parameters (256 colors, cursor movement, etc.)\n- `{:unknown, string}` - escape sequences that are not recognized (PRs welcome!)\n- `:invalid` - escape sequences that are recognized but have invalid parameters\n\nThe escape sequence names largely follow the conventions established by the `IO.ANSI` module, but may not be a\none-to-one match.","ref":"Antsy.html#decode/1"},{"type":"function","title":"Example - Antsy.decode/1","doc":"iex> Antsy.decode(\"Hello, \\e[1mworld!\\e[0m\")\n    {[\"Hello, \", :bright, \"world!\", :reset], \"\"}","ref":"Antsy.html#decode/1-example"},{"type":"type","title":"Antsy.ansidata/0","doc":"","ref":"Antsy.html#t:ansidata/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}